#ifndef _ORXONOX_GUI_BANNER_H
#define _ORXONOX_GUI_BANNER_H

#include "orxonox_gui.h"

class OrxonoxGuiBanner
{
 private:
  Frame* bannerFrame;
  Box* bannerBox;
  EventBox* bannerEventBox;
  Image* bannerImage;
  Label* bannerLabel;
  Window* logoWindow;
  int logoWindowIsOpen;
  EventBox* logoEventBox;
  Image* logoImage;

 public:
  OrxonoxGuiBanner ();
  ~OrxonoxGuiBanner ();

  void logoWindowNew();
  void logoWindowClose();
  EventBox* getEventBox ();
};
gint LogoWindowOpen (GtkWidget *widget, GdkEvent* event, void* banner);
gint LogoWindowClose (GtkWidget *widget, GdkEvent* event, void* banner);

#endif /* _ORXONOX_GUI_BANNER_H */
