/* 
   orxonox - the future of 3D-vertical-scrollers

   Copyright (C) 2004 orx

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software Foundation,
   Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.  


   ### File Specific:
   main-programmer: Benjamin Grauer

*/


#include "orxonox_gui_video.h"



OrxonoxGuiVideo::OrxonoxGuiVideo ()
{
  videoFrame = new Frame ("Video-Options:");
  videoBox = new Box ('v');
  
  fullscreen = new CheckButton ("Fullscreen-mode");
  fullscreen->setFlagName ("windowed", "q", 1);
  videoBox->fill (fullscreen);
  wireframe = new CheckButton ("WireFrame-mode");
  wireframe->setFlagName ("wireframe", "w", 0);
  videoBox->fill (wireframe);

  videoFrame->fill (videoBox);
}

Frame* OrxonoxGuiVideo::getFrame ()
{
  return videoFrame;
}
